////////////////////////////////////////////////////////////////////////////
//  
//  SymLinkProps - Link properties plugin for the Konqueror file manager
//  
//  Copyright (c) 2004 Jonathan Marten <jjm@keelhaul.demon.co.uk>
//  Home and download page:  http://www.keelhaul.demon.co.uk/kde/
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//  
//  It is distributed in the hope that it will be useful, but WITHOUT ANY
//  WARRANTY; without even the implied warranty of MERCHANTABILITY or
//  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
//  for more details.
//  
//  You should have received a copy of the GNU General Public License
//  along with this program; see the file COPYING for further details.
//  If not, write to the Free Software Foundation, Inc., 59 Temple Place -
//  Suite 330, Boston, MA 02111-1307, USA.
//
////////////////////////////////////////////////////////////////////////////

#ifndef SYMLINKPROPS_H
#define SYMLINKPROPS_H

#include <kpropertiesdialog.h>

class KHelpMenu;

class SymlinkPropsDialogPlugin : public KPropsDlgPlugin
{
	Q_OBJECT

public:
	SymlinkPropsDialogPlugin(KPropertiesDialog *dialog,const char *,const QStringList &);
	virtual ~SymlinkPropsDialogPlugin();

	virtual void applyChanges();

protected slots:
	void slotBrowseDest();
	void slotSymlinkResult(KIO::Job *job);
	void slotAbout();
	void slotHelp();

private:
	KURL url;
	QWidget *widget;
	QLineEdit *dest;
	KHelpMenu *helpmenu;
};

#endif
